#
# spec file for package systemd-rpm-macros
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           systemd-rpm-macros
Version:        14
Release:        150000.7.36.1
Summary:        RPM macros for systemd
License:        LGPL-2.1+
Group:          Development/Tools/Building
Url:            http://en.opensuse.org/openSUSE:Systemd_packaging_guidelines
Source0:        macros.systemd
Requires:       coreutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
#!BuildIgnore:  util-linux
#!BuildIgnore:  %{name}

# We need our own definition of %{_unitdir}.
%{?load:%{S:0}}

%description
Starting with openSUSE 12.1, several RPM macros must be used to package systemd
services files. This package provides these macros.

%prep

%build

%install
install -Dm644 %{S:0} %{buildroot}%{_rpmconfigdir}/macros.d/macros.systemd
mkdir -p %{buildroot}%{_unitdir}

%files
%defattr(-,root,root)
%{_rpmconfigdir}/macros.d/macros.systemd
%dir %{_unitdir}

%changelog
